cmdargs

Safe Haskell | None

System.Console.CmdArgs.Test.Implicit.Diffy

# Documentation

data Diffy

Constructors

Create |

Fields

src :: Maybe FilePath
out :: FilePath

Diff |

Fields

old :: FilePath
new :: FilePath
out :: FilePath

Instances

Eq Diffy |
Data Diffy |
Show Diffy |
Typeable Diffy |

outFlags :: Data val => val -> val

create :: Diffy

diff :: Diffy

mode :: Mode (CmdArgs Diffy)

mode_ :: Mode (CmdArgs Diffy)

diff_ :: Annotate Ann

create_ :: Annotate Ann

outFlags_ :: Annotate Ann -> Annotate Ann

test :: IO ()